> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all recipients

> 
 Returns a list of recipients on an account.

 Ordered alphabetically by ```name```.
    



## OpenAPI

````yaml /autogenerated/openapi/budgets.openapi.json get /recipients
openapi: 3.1.0
info:
  title: Budgets API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /recipients:
    get:
      tags:
        - Recipients
      summary: List all recipients
      description: |2-

         Returns a list of recipients on an account.

         Ordered alphabetically by ```name```.
            
      operationId: findAllRecipients
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: limit
          in: query
          schema:
            description: The maximum number of results to return.
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 1000
            example: 200
        - name: offset
          in: query
          schema:
            description: The number of items to skip before returning results.
            default: 0
            type:
              - integer
            example: 100
        - name: search
          in: query
          schema:
            description: The term to search the records for.
            type:
              - string
            maxLength: 100
            example: Cesar+Treutel
        - name: deleted
          in: query
          schema:
            description: Whether to return deleted recipients
            type:
              - string
            enum:
              - 'true'
              - 'false'
        - name: status
          in: query
          schema:
            description: The recipient's status.
            type:
              - string
            enum:
              - UNVERIFIED
              - PENDING
              - AUTHORISED
              - REJECTED
            example: AUTHORISED
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                            - 'null'
                          description: The recipient's ID.
                          example: 8lciyups6
                        accountId:
                          type:
                            - string
                            - 'null'
                          description: The ID of the account to work with.
                          example: F50091
                        accountIdentifier:
                          description: >-
                            Identifier of the account, could be iban or account
                            number
                          type:
                            - string
                            - 'null'
                          maxLength: 34
                          example: '55555555'
                        bankIdentifier:
                          description: Identifier of the bank, could be BIC or sort code
                          type:
                            - string
                            - 'null'
                          maxLength: 20
                          example: '395744'
                        schemeName:
                          type:
                            - string
                            - 'null'
                          enum:
                            - UK.OBIE.IBAN
                            - UK.OBIE.SortCodeAccountNumber
                          description: The name of the scheme.
                        name:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The recipient's name.
                          example: William Walker
                        friendlyName:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: >-
                            An optional friendly name for the recipient. This is
                            used only for display purposes.
                          example: Electrician
                        intermediaryBankIdentifier:
                          type:
                            - string
                            - 'null'
                          pattern: >-
                            ^([0-9]+|[a-zA-Z]{6}[a-zA-Z0-9]{2}([a-zA-Z0-9]{3})?)$
                          description: >-
                            The intermediary bank identifier: either a BIC or a
                            numeric account number.
                          example: QBLCCCCV
                        paymentNetwork:
                          type:
                            - string
                            - 'null'
                          enum:
                            - SWIFT
                            - SEPA.INSTANT
                            - SEPA.CREDITTRANSFER
                            - CHAPS
                            - UKFPS
                            - ACH
                            - WIRETRANSFER
                            - OFF_PLATFORM
                            - NIP
                        purposeCode:
                          type:
                            - string
                            - 'null'
                        email:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The recipient's email address.
                        defaultPurpose:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The purpose of the payment.
                          example: Purpose of the payment
                        defaultReference:
                          type:
                            - string
                            - 'null'
                        status:
                          description: The recipient's status.
                          type:
                            - string
                          enum:
                            - UNVERIFIED
                            - PENDING
                            - AUTHORISED
                            - REJECTED
                          example: AUTHORISED
                        sepa:
                          type:
                            - boolean
                            - 'null'
                        currency:
                          description: The currency code, in ISO-4217 format.
                          type:
                            - string
                          pattern: ^[A-Z]{3}$
                          example: USD
                        bankCode:
                          type:
                            - string
                            - 'null'
                        createdBy:
                          type:
                            - string
                            - 'null'
                        recipientType:
                          type:
                            - string
                            - 'null'
                        verificationMethod:
                          type:
                            - string
                            - 'null'
                          enum:
                            - phone
                            - sms_otp
                            - biometrics
                            - email
                            - other
                        recipientAddress:
                          type:
                            - object
                          properties:
                            country:
                              type:
                                - string
                                - 'null'
                            address:
                              type:
                                - string
                                - 'null'
                              maxLength: 256
                              description: The recipient's address.
                              example: 123 Fake Street
                            city:
                              type:
                                - string
                                - 'null'
                              maxLength: 256
                              description: The recipient's city.
                              example: London
                            postcode:
                              type:
                                - string
                                - 'null'
                              maxLength: 36
                              description: The recipient's postcode.
                              example: SW1A 1AA
                          required:
                            - country
                          description: Details about the address of the recipient.
                        bankAddress:
                          type:
                            - object
                          properties:
                            bankName:
                              type:
                                - string
                                - 'null'
                              description: The name of the bank.
                              example: Brilliant Bank
                            fullBankName:
                              type:
                                - string
                                - 'null'
                              description: The full name of the bank.
                              example: Brilliant Bank Plc
                            city:
                              type:
                                - string
                                - 'null'
                              maxLength: 256
                              description: The bank's city.
                              example: Enfield
                            postcode:
                              type:
                                - string
                                - 'null'
                              maxLength: 36
                              description: The bank's postal or ZIP code.
                              example: EN1 3JY
                            country:
                              type:
                                - string
                                - 'null'
                            address:
                              type:
                                - string
                                - 'null'
                              maxLength: 256
                              description: The bank's address.
                              example: 1 High Street
                          required:
                            - country
                          description: Details about the bank's address.
                        validation:
                          type:
                            - object
                          properties:
                            nameMatch:
                              type:
                                - boolean
                            reason:
                              type:
                                - string
                            reasonCode:
                              type:
                                - string
                              enum:
                                - N000
                                - N100
                                - N101
                                - N102
                                - N103
                                - N104
                                - N200
                                - N201
                                - N202
                                - N203
                                - N204
                                - N205
                                - N206
                                - N207
                                - N300
                                - N400
                                - N500
                            actualName:
                              type:
                                - string
                              description: The actual name of the recipient.
                              example: William Walker
                          required:
                            - reasonCode
                        bankDetailsFormat:
                          type:
                            - string
                            - 'null'
                          enum:
                            - bic-accountnumber
                            - usroutingnumber-accountnumber
                            - bic-caroutingnumber-accountnumber
                            - bic-bsb-accountnumber
                            - bic-ifsc-accountnumber
                            - sortcode-accountnumber
                            - bic-clabe
                            - bic-iban
                      required:
                        - paymentNetwork
                        - status
                        - currency
                    description: Array of all matching recipients.
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  rows:
                    - id: 8lciyups6
                      accountId: F50091
                      accountIdentifier: '55555555'
                      bankIdentifier: '395744'
                      schemeName: UK.OBIE.IBAN
                      name: William Walker
                      friendlyName: Electrician
                      intermediaryBankIdentifier: QBLCCCCV
                      paymentNetwork: SWIFT
                      purposeCode: string
                      email: string
                      defaultPurpose: Purpose of the payment
                      defaultReference: string
                      status: AUTHORISED
                      sepa: true
                      currency: USD
                      bankCode: string
                      createdBy: string
                      recipientType: string
                      verificationMethod: phone
                      recipientAddress:
                        country: string
                        address: 123 Fake Street
                        city: London
                        postcode: SW1A 1AA
                      bankAddress:
                        bankName: Brilliant Bank
                        fullBankName: Brilliant Bank Plc
                        city: Enfield
                        postcode: EN1 3JY
                        country: string
                        address: 1 High Street
                      validation:
                        nameMatch: true
                        reason: string
                        reasonCode: N000
                        actualName: William Walker
                      bankDetailsFormat: bic-accountnumber
      security:
        - CommonAuth:
            - recipients:read:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/recipients?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````